# PGBROWSE action
# This action will display each selection with xv - The default name for 
#    the column to be used is filename. 

set Name "Xterm"
set Help "Creates an xterminal window, in directory of disk_location
	  If the selection is a file, it will go to the directory below,
	  if the file doesn't exist, it will search for the nearest 
	  directory"
proc Action { ignored } {

if {[set col [ActionColNum disk_location]] == -1} return
            foreach file [ActionGetCol $col] {
				while {![file exists $file] && ![$file == ""]} {
					set file [string range $file 0 [expr [string last / $file]-1]]
				}
				if {$file == ""} {
					set file "/"
				}	
				if {![file isdirectory $file] } {
					set file [string range $file 0 [expr [string last / $file]-1]]
				}
				cd $file
				exec xterm &
            }
            Tku_Waiting
}
