# This action will display all selections with xv using the -wait option to
#    create a movie - The default name for the column to be used is filename.  

set Name { movie_xv }
set Help { Displays a movie with xv }
set Type { junk }
proc Action { dir } {

    # Find out which column has the filenames
    if {[set n [ColNumber filename]] != -1} {

        # Get the list of file names & display them with xv
        set filelist [GetCol $n]
        exec sh -c "xv -wait 2 $filelist &" 
    }
}
